
/**
 * Web唐明明
 * 匆匆数载恍如梦，岁月迢迢华发增。
 * 碌碌无为枉半生，一朝惊醒万事空。
 * moduleName: 区块链
 */

import { request } from '../index'

// 最新统计
const chain = () => {
	return request({
		url: 'chain/tasks'
	})
}

// 水晶原石
const crystals = () => {
	return request({
		url: 'user/account/crystals'
	})
}

// 领取水晶
const thawlog = (data) => {
	return request({
		url: 'user/account/thawlog',
		method: 'POST',
		data
	})
}

export {
	chain,
	crystals,
	thawlog
}
